Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454364

Summary: libSAD API headers are broken
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: audaciousAssignee: Ralf Ertzinger <redhat-bugzilla>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dominik
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: audacious-1.5.1-3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-16 12:06:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 453026, 465081    

Description Michael Schwendt 2008-07-07 23:33:00 UTC
audacious-devel-1.5.1-2.fc10.i386.rpm

libSAD header common.h evaluates external autoconf
macros (here HAVE_CONFIG_H) and tries to include a
non-existant config.h header. Something like that
does not belong into a library API. As reported 
in FTBFS summary on fedora-devel:

In file included from /usr/include/libSAD/libSAD.h:23
,
                 from /usr/include/audacious/util.h:41
,
                 from configure.c:2
:
/usr/include/libSAD/common.h:38:21:
 
error: 
config.h: No such file or directory

Comment 1 Ralf Ertzinger 2008-08-21 19:20:17 UTC
Those files are not meant to be installed for the 1.5 release, I'll drop them as soon as the build sys works again

Comment 2 Michael Schwendt 2008-09-24 15:27:51 UTC
util.h:#include "libSAD/libSAD.h"

Comment 3 Dominik 'Rathann' Mierzejewski 2008-10-13 18:37:26 UTC
And, to give a real example of breakage after libSAD.h is removed:

In file included from audacious.c:19:
/usr/include/audacious/util.h:41:27: error: libSAD/libSAD.h: No such file or directory
In file included from audacious.c:19:
/usr/include/audacious/util.h:94: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'sadfmt_from_afmt'

This is from xmp build (bug 453026).

Comment 4 Michael Schwendt 2008-10-16 12:06:32 UTC
Just built audacious-plugin-fc in rawhide without errors.